﻿Imports System.Data.Common
Imports System.Data.OleDb
Imports C1.Win
Imports C1.Win.C1Chart

Public Class Form1
    Dim dt As DataTable = New DataTable()
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim sql As String = "select * from Orders"
        Dim conn As String = GetConnectionString()
        Dim da As New OleDbDataAdapter(sql, conn)
        da.Fill(dt)

        ' bind chart to table (each series will bind to a field on the table).          
        C1Chart1.DataSource = dt

        ' clear data series collection.
        Dim dsc As ChartDataSeriesCollection = C1Chart1.ChartGroups(0).ChartData.SeriesList
        dsc.Clear()

        ' add unit price series.
        Dim ds As ChartDataSeries = dsc.AddNewSeries()

        'ds.AutoEnumerate = true ' (in case you don't want to set the X values).
        ds.X.DataField = "OrderDate"
        ds.Y.DataField = "ShipRegion"

        C1Chart1.ChartArea.AxisX.AnnotationRotation = 60
        C1Chart1.ChartArea.AxisX.AnnoFormat = FormatEnum.DateShort
        'C1Chart1.ChartArea.AxisY.AnnotationRotation = 60

        ' apply filters, sorting, etc.
        dt.DefaultView.RowFilter = "ShipRegion = 'RJ'"

        ' create trend line        
        Dim tl As C1.Win.C1Chart.TrendLine = New C1.Win.C1Chart.TrendLine()
        ' first data series       
        tl.SeriesIndex = 0
        ' set line color and thickness      
        tl.LineStyle.Color = Color.Red
        tl.LineStyle.Thickness = 2
        ' show formula in legend    
        tl.Text = "{#FORMULA}"
        ' add trend to the chart        
        C1Chart1.ChartGroups(0).ChartData.TrendsList.Add(tl)
    End Sub
    Private Shared Function GetConnectionString() As String
        Dim path As String = Environment.GetFolderPath(Environment.SpecialFolder.Personal) & "\ComponentOne Samples\Common"
        Dim conn As String = "provider=microsoft.jet.oledb.4.0;data source={0}\c1nwind.mdb;"
        Return String.Format(conn, path)
    End Function
End Class
